- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# structure.hh File Reference

Definition of class `Structure`, the root of all structural element types. More...

Include dependency graph for structure.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Classes
struct | Structure
| Base class for the hierarchy of structural element types. More...
struct | dynamic_traits< Structure< S > >
| Specialization of `dynamic_traits` for `Structure`. More...
struct | virtual_types< Structure< S > >
| Specialization of `virtual_types` for `Structure`. More...
## Functions
Inequality operator for Structures.
Calls equality operator of sub-class.
template<typename S>
bool | operator!= (const vcsn::Structure< S > &a, const vcsn::Structure< S > &b)

## Detailed Description

Definition of class `Structure`, the root of all structural element types.

Definition in file structure.hh.